a.nav-link {
    color: var(--color-text-base);
    font-size: var(--font-size-sm);
}

    a.nav-link:hover,
    a.nav-link:focus {
        font-size: var(--font-size-sm);
        color: var(--color-text-base);
        background-color: var(--color-gray-100);
    }

    a.nav-link.nav-link-small {
        font-size: var(--font-size-xs);
    }
        a.nav-link.nav-link-small:hover,
        a.nav-link.nav-link-small:focus {
            font-size: var(--font-size-xs);
        }

.company-logo {
    width: 100px;
}

#navbar ul {
    list-style: none;
    margin: 0;
}

.navbar {
    padding: 0; /*rimuovo padding di default di bootstrap*/
    position: relative;
    top: 0;
    z-index: 100;
    background-color: transparent;
}

.navbar-collapse {
    position: absolute;
    height: 100vh;
    top: 100%;
    left: 0;
    right: 0;
    z-index: 9999;
    background: var(--color-white);
}

.custom-toggle .toggle-icon {
    transition: transform 0.4s;
    will-change: transform;
    transform-origin: center;
    backface-visibility: hidden;
    -webkit-backface-visibility: hidden;
}

    .custom-toggle .toggle-icon path {
        fill: var(--color-green-600) !important;
    }

.custom-toggle[aria-expanded="true"] .toggle-icon {
    transform: rotate(180deg);
}

.dropdown-toggle:hover,
.dropdown-toggle:focus {
    text-decoration: none !important;
}

    .dropdown-toggle:hover,
    .dropdown-toggle:focus .label {
        text-decoration: underline;
    }

.dropdown-toggle::after {
    display: inline-block;
    margin-left: var(--display-stacks-sm);
    content: "\f078"; /* chevron-down */
    font-family: "Font Awesome 6 Pro";
    font-size: var(--font-size-xs);
    border: none;
    transform: rotate(0deg);
    transition: transform 0.3s ease;
}

.megamenu {
    display: none;
    position: static;
    box-shadow: none;
    border: none;
    background: transparent;
    padding-left: var(--display-stacks-sm);
}

/*.nav-item.dropdown:focus-within > .megamenu {
    display: block;
}

.nav-item.dropdown:focus-within > .nav-link::after {
    transform: rotate(180deg);
}*/

.nav-item.show > .megamenu {
    display: block;
}

@media all and (min-width: 1200px) {

    body.megamenu-hidden-by-scroll .megamenu {
        display: none !important;
    }

    .nav-toggler {
        display: none;
    }

    .navbar .has-megamenu {
        position: static !important;
    }

    .navbar-collapse {
        height: auto;
        position: relative;
        box-shadow: none;
    }

    .megamenu {
        display: none;
        height: auto;
        left: 0;
        right: 0;
        top: 100px;
        width: 100%;
        position: fixed;
        background: #fff;
        box-shadow: 0 16px 16px 0 rgba(0, 0, 0, .15);
        border-radius: 0;
        border-style: none;
        border-top: 5px solid var(--color-green-600);
    }

    .nav-item.show > .megamenu {
        display: block;
    }

    a.nav-link:hover,
    a.nav-link:focus {
        font-size: var(--font-size-sm);
        color: var(--color-text-base);
        background-color: transparent;
    }
}
